unity does not detect unread email

Bug #1758922 reported by John Tucker on 2018-03-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity Mail
Undecided
Robert Tari

Bug Description

I'm using ubuntu mate and have been using unity mail for quite some time now. I need to monitor three email accounts, all google, so it is very convenient for me.

Usually, when there is unread mail in an inbox, a little yellow asterisk displays on the unity mail icon, and details of the emails appear in a drop down menu. This is no longer happening, although there has been an unread email in one of the accounts for a couple of hours now. Incidentally, a "poll now" feature would be very useful to people setting up unity mail, just to verify that everything's working.

(After I'd changed one of the google mail passwords only on google) I noticed that the unity mail icon had disappeared from the mate top panel. Running it from Applications-->Internet-->Unity Mail didn't help.

So I uninstalled it, and reinstalled, setting up the three gmail accounts apparently with no trouble, and with the new password on the appropriate account. Now the unity icon is back, but not working in the sense that the unread mail icon does not display even when there is unread mail.

Robert Tari (robert-tari) wrote :

I will need some details to unravel this mistery:

1. What is your Ubuntu MATE version and architecture
2. What is the Unity Mail version

Changed in unity-mail:
status: New → Incomplete
assignee: nobody → Robert Tari (robert-tari)

My system is MATE version 1.16.2
It's running on ubuntu 16.04.4 64 bit intel
Unity mail is 1.7.7

On Mon, Mar 26, 2018 at 3:37 PM, Robert Tari <email address hidden>
wrote:

> I will need some details to unravel this mistery:
>
> 1. What is your Ubuntu MATE version and architecture
> 2. What is the Unity Mail version
>
> ** Changed in: unity-mail
> Status: New => Incomplete
>
> ** Changed in: unity-mail
> Assignee: (unassigned) => Robert Tari (robert-tari)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1758922
>
> Title:
> unity does not detect unread email
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>

Robert Tari (robert-tari) wrote :

I've set up a 64-bit 16.04, but I am unable to replicate your issue. Is this one particular account by any chance using 2-step authentication?

Do you notice anything out of the ordinary when you open a terminal and do this:

killall unity-mail
unity-mail

John Tucker (jonti) wrote :

jonti@delton:~$ killall unity-mail
jonti@delton:~$ unity-mail

(unity-mail:30519): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates:
assertion 'window->update_and_descendants_freeze_count > 0' failed
Unity Mail: INFO: Network connection active. Trying to connect.
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
Unity Mail: INFO: Connection to "<email address hidden>:INBOX"
established
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
----------------------------------------
... and now the functionality is restored ok

On Mon, Mar 26, 2018 at 7:51 PM, Robert Tari <email address hidden>
wrote:

> I've set up a 64-bit 16.04, but I am unable to replicate your issue. Is
> this one particular account by any chance using 2-step authentication?
>
> Do you notice anything out of the ordinary when you open a terminal and
> do this:
>
> killall unity-mail
> unity-mail
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1758922
>
> Title:
> unity does not detect unread email
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>

Robert Tari (robert-tari) wrote :

It is safe to ignore the GDK message, it has nothing to do with Unity Mail. The rest, however, seems quite alright.

OK, are you saying we have fixed it by doing nothing?

John Tucker (jonti) wrote :

It certainly looks that way. It's working now. The mere appearance of an
engineer is enough to frighten some bugs away, it seems. Many thanks!

On Mon, Mar 26, 2018 at 8:24 PM, Robert Tari <email address hidden>
wrote:

> It is safe to ignore the GDK message, it has nothing to do with Unity
> Mail. The rest, however, seems quite alright.
>
> OK, are you saying we have fixed it by doing nothing?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1758922
>
> Title:
> unity does not detect unread email
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>

Robert Tari (robert-tari) wrote :

Well, this is the kind of fixing things I like. I am marking this issue as invalid, if you encounter problems in the future, feel free to report them. Better safe the sorry, they say.

Changed in unity-mail:
status: Incomplete → Invalid
Robert Tari (robert-tari) wrote :

*than - typo

John Tucker (jonti) wrote :

Ah, no, I was optimistic, sorry. Apart from when it's starting, my installation of unity-mail does not check for unread mail.

So to get mail listed I need to "killall unity-mail" and then restart the application. I'd expect the app to check the status of mail every five minutes or so.

John Tucker (jonti) wrote :

Since opening this thread and now, I've reinstalled ubuntu mate and I'm now running unity-mail 1.7.7, MATE 1.12.1 and Ubuntu 16.04.4 LTS (my /home is on a separate partition, everything else in /)

Thing is, the bug (of not detecting changes to inbox contents after it has started) is still there.

Robert Tari (robert-tari) wrote :

I have to admit, I am a bit puzzled by your problem. Killing and the restarting the application should be no different than the app autostarting after login. It would certainly be of help if at least one more user had a similar issue.

Anyway, let us investigate:

1. Go to System->Preferences->Personal->Startup Applications an look for Unity Mail
* There should be only one entry
* It should be called "Unity Mail (service)"
* The command for it should simply be "unity-mail"
* If all is in order, clear the checkbox for the entry - this will disable the autostart, you can re-activate it any time you wish

2. The next time you log in, Unity Mail should not be running
* Run "killall unity-mail" just to make sure it is the case
* Start it manually with "unity-mail"
* Keep the terminal open during your entire session - if there are Gremlins, we should be able to uncover them here
* Try to experiment with your mail via the web browser: marking messages as read/unread is the most effective way - once a message's read status changes, it should instantly appear/disappear from the indicator's menu (of course, the indicator icon will not change and there will be no notification, since these messages will not be NEW ones)
* If you cannot trigger anything suspicious, try sending yourself some NEW messages: the indicator should change and there should be a notification as well

3. After every change you have made via webmail, have a look in the terminal window - if something's not right, it should be immediately visible
* Output like "imap.gmail.com handler last 20 log messages" are ERRORS, so keep an eye on those
* If there is any personal or sensitive data in what you copy, just XXXX it over before posting it here

John Tucker (jonti) wrote :

OK, that's got the application running as it should, with changes to an
email's read status reflected promptly by the counter. I'll just leave the
window open and run a few checks as you suggested.

On Fri, May 25, 2018 at 2:21 PM, Robert Tari <email address hidden>
wrote:

> I have to admit, I am a bit puzzled by your problem. Killing and the
> restarting the application should be no different than the app
> autostarting after login. It would certainly be of help if at least one
> more user had a similar issue.
>
> Anyway, let us investigate:
>
> 1. Go to System->Preferences->Personal->Startup Applications an look for
> Unity Mail
> * There should be only one entry
> * It should be called "Unity Mail (service)"
> * The command for it should simply be "unity-mail"
> * If all is in order, clear the checkbox for the entry - this will disable
> the autostart, you can re-activate it any time you wish
>
> 2. The next time you log in, Unity Mail should not be running
> * Run "killall unity-mail" just to make sure it is the case
> * Start it manually with "unity-mail"
> * Keep the terminal open during your entire session - if there are
> Gremlins, we should be able to uncover them here
> * Try to experiment with your mail via the web browser: marking messages
> as read/unread is the most effective way - once a message's read status
> changes, it should instantly appear/disappear from the indicator's menu (of
> course, the indicator icon will not change and there will be no
> notification, since these messages will not be NEW ones)
> * If you cannot trigger anything suspicious, try sending yourself some NEW
> messages: the indicator should change and there should be a notification as
> well
>
> 3. After every change you have made via webmail, have a look in the
> terminal window - if something's not right, it should be immediately visible
> * Output like "imap.gmail.com handler last 20 log messages" are ERRORS,
> so keep an eye on those
> * If there is any personal or sensitive data in what you copy, just XXXX
> it over before posting it here
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1758922
>
> Title:
> unity does not detect unread email
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>

John Tucker (jonti) wrote :

This and the previous email have both been cc'd to one of the three
accounts involved, but the counter remains at zero and the emails don't
appear on the dropdown list.

On Fri, May 25, 2018 at 2:50 PM, john tucker <email address hidden>
wrote:

> OK, that's got the application running as it should, with changes to an
> email's read status reflected promptly by the counter. I'll just leave the
> window open and run a few checks as you suggested.
>
> On Fri, May 25, 2018 at 2:21 PM, Robert Tari <email address hidden>
> wrote:
>
>> I have to admit, I am a bit puzzled by your problem. Killing and the
>> restarting the application should be no different than the app
>> autostarting after login. It would certainly be of help if at least one
>> more user had a similar issue.
>>
>> Anyway, let us investigate:
>>
>> 1. Go to System->Preferences->Personal->Startup Applications an look for
>> Unity Mail
>> * There should be only one entry
>> * It should be called "Unity Mail (service)"
>> * The command for it should simply be "unity-mail"
>> * If all is in order, clear the checkbox for the entry - this will
>> disable the autostart, you can re-activate it any time you wish
>>
>> 2. The next time you log in, Unity Mail should not be running
>> * Run "killall unity-mail" just to make sure it is the case
>> * Start it manually with "unity-mail"
>> * Keep the terminal open during your entire session - if there are
>> Gremlins, we should be able to uncover them here
>> * Try to experiment with your mail via the web browser: marking messages
>> as read/unread is the most effective way - once a message's read status
>> changes, it should instantly appear/disappear from the indicator's menu (of
>> course, the indicator icon will not change and there will be no
>> notification, since these messages will not be NEW ones)
>> * If you cannot trigger anything suspicious, try sending yourself some
>> NEW messages: the indicator should change and there should be a
>> notification as well
>>
>> 3. After every change you have made via webmail, have a look in the
>> terminal window - if something's not right, it should be immediately visible
>> * Output like "imap.gmail.com handler last 20 log messages" are ERRORS,
>> so keep an eye on those
>> * If there is any personal or sensitive data in what you copy, just XXXX
>> it over before posting it here
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1758922
>>
>> Title:
>> unity does not detect unread email
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>>
>
>

John Tucker (jonti) wrote :

This is what the console shows now ...

jonti@delton:~$ unity-mail
Unity Mail: INFO: Network connection active. Trying to connect.
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
  06:23.07 imap.gmail.com reader last 20 log messages:
  06:23.07 imap.gmail.com handler last 20 log messages:
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" closed. Trying to reconnect.
  19:29.24 imap.gmail.com reader last 20 log messages:
  19:29.24 imap.gmail.com handler last 20 log messages:
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" closed. Trying to reconnect.

Robert Tari (robert-tari) wrote :

OK, it appears imaplib2 is crashing with one of the GMail accounts. I could send you a modified module which can debug this in detail, but the output can be massively verbose with three mail accounts, so we'll use it as a last resort.

It would be helpful if you could delete two of your accounts from Unity Mail and run it again with only one of them, do some testing, and add back a second one only if you get none of those "last 20 log messages" lines. It is imperative to allow UM to run for at least 1-2 hours to let the mail server drop the connection a few times and UM to reconnect (it happens every 20-30 minutes, depending on mail server settings).

If all is well, you should see alternating "Connection ... established" and "Connection ... closed. Trying to reconnect." lines only. How often this happens is irrelevant.

John Tucker (jonti) wrote :

ok, so just with the one account set in the unity-mail settings ...

jonti@delton:~$ killall unity-mail
unity-mail: no process found
jonti@delton:~$ unity-mail
Unity Mail: INFO: Network connection active. Trying to connect.
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" established
  26:08.58 imap.gmail.com reader last 20 log messages:
  26:08.58 imap.gmail.com handler last 20 log messages:
Unity Mail: INFO: Connection to "<email address hidden>:INBOX" closed. Trying to
reconnect.

The messages from unity-mail looked alright at first, but even so an email
sent to lat1998 didn't show up on the unity-mail indicator count or appear
in the indicator's drop-down list even after around 15-20 mins or so.

On Fri, May 25, 2018 at 4:25 PM, Robert Tari <email address hidden>
wrote:

> OK, it appears imaplib2 is crashing with one of the GMail accounts. I
> could send you a modified module which can debug this in detail, but the
> output can be massively verbose with three mail accounts, so we'll use
> it as a last resort.
>
> It would be helpful if you could delete two of your accounts from Unity
> Mail and run it again with only one of them, do some testing, and add
> back a second one only if you get none of those "last 20 log messages"
> lines. It is imperative to allow UM to run for at least 1-2 hours to let
> the mail server drop the connection a few times and UM to reconnect (it
> happens every 20-30 minutes, depending on mail server settings).
>
> If all is well, you should see alternating "Connection ... established"
> and "Connection ... closed. Trying to reconnect." lines only. How often
> this happens is irrelevant.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1758922
>
> Title:
> unity does not detect unread email
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity-mail/+bug/1758922/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers